/* =========================================
   Components
   UIコンポーネント
========================================= */

/* カード */
.card {
    background: rgb(0 0 0 / 43%);
    padding: 2rem;
    border: 1px solid var(--border);
    border-radius: 16px;
    text-align: center;
}

/* サイドメニュー */
.side-menu {
    position: fixed;
    right: -520px;
    top: 0;
    width: 500px;
    height: 100%;
    background: #111;
    padding: 2rem;
    transition: .3s;
    z-index:1000;
}

/* 開いた状態 */
.side-menu.open {
    right: 0;
}

/* メニュー開閉ボタン */
.menu-toggle {
    background: none;
    color: #fff;
    border: 0;
    font-size: 2rem;
}

/* TOPへ戻るボタン */
.top-btn {
    position: fixed;
    right: 20px;
    bottom: 20px;
    border: 0;
    padding: 1rem;
    border-radius: 50%;
    background: var(--accent);
    color: #fff;
}

/* テーブル横スクロール */
.table-wrap {
    overflow-x: auto;
}

/* テーブル */
table {
    width: 100%;
    border-collapse: collapse;
}

/* セル */
th,
td {
    border: 1px solid var(--border);
    padding: 1rem;
}

/* 余白スペーサー */
.spacer {
    height: 60px;
}

.tcenter{
    text-align: center;
}
.quick_wrap{
    display:flex;
    align-items:center;
    gap:10px;
}


#gradientOutput,
#colorOutput{
    height:60px;
    border:1px solid #ffffff22;
    border-radius:8px;
    margin-bottom:10px;
}
